# Exhibitor Booth Types

Exhibitor Booth Types

## Gets all of the exhibitor booth types in the system.

 - [GET /exhibitorBoothTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/listexhibitorboothtypes.md): This method will scan all exhibitor booth types and and return them to the caller.

## Creates a new exhibitor booth type record that does not already exist.

 - [POST /exhibitorBoothTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/createexhibitorboothtype.md): This method will auto-generate an ID and create a new exhibitor booth type. If an ID is specified for the exhibitor booth type, an error will be thrown.

## Execute Batch Operations

 - [POST /exhibitorBoothTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a exhibitor booth type from the system by its ID.

 - [DELETE /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/deleteexhibitorboothtype.md): This method will delete a exhibitor booth type with the specified ID.

## Returns a exhibitor booth type from the system by its ID.

 - [GET /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/getexhibitorboothtype.md): This method will look up a exhibitor booth type by the specified ID and return it back.

## Partially updates a exhibitor booth type with the specified ID.

 - [PATCH /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/patchexhibitorboothtype.md): This method will patch an existing exhibitor booth type with the specified ID, using the HTTP PATCH specification.

## Updates a exhibitor booth type with the specified ID.

 - [PUT /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/updateexhibitorboothtype.md): This method will update an existing exhibitor booth type with the specified ID.

